%define	upstream_name    MailTools
%define upstream_version 2.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A set of perl modules related to mail applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Date::Format)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Net::Domain) >= 1.50.0
BuildRequires: perl(Net::SMTP) >= 1.30.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is MailTools, a set of perl modules related to mail applications.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Mail*
%{_mandir}/*/*

%changelog
* Fri Jan 24 2025 tv <tv> 2.220.0-1.mga10
+ Revision: 2141363
- update to 2.22

* Mon Mar 21 2022 umeabot <umeabot> 2.210.0-4.mga9
+ Revision: 1811810
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.210.0-3.mga8
+ Revision: 1528833
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tmb <tmb> 2.210.0-2.mga8
+ Revision: 1432698
- rebuild for perl 5.30

* Sat Jun 29 2019 shlomif <shlomif> 2.210.0-1.mga8
+ Revision: 1415601
- update to 2.21

* Thu Sep 20 2018 umeabot <umeabot> 2.200.0-2.mga7
+ Revision: 1284746
- Mageia 7 Mass Rebuild

* Wed Jan 24 2018 tv <tv> 2.200.0-1.mga7
+ Revision: 1196778
- update to 2.20

* Tue Oct 03 2017 tv <tv> 2.190.0-2.mga7
+ Revision: 1165289
- rebuild with fixed rpm for missing autodeps
- update to 2.19

* Tue Sep 19 2017 tv <tv> 2.190.0-1.mga7
+ Revision: 1155768
- new release

* Sat Jul 22 2017 shlomif <shlomif> 2.180.0-1.mga7
+ Revision: 1128728
- update to 2.18

* Sun Jun 19 2016 pterjan <pterjan> 2.160.0-2.mga6
+ Revision: 1029520
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 2.160.0-1.mga6
+ Revision: 1007961
- update to 2.16

* Thu Feb 18 2016 umeabot <umeabot> 2.140.0-2.mga6
+ Revision: 965843
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 2.140.0-1.mga6
+ Revision: 838550
- update to 2.14

* Sun Oct 19 2014 umeabot <umeabot> 2.130.0-4.mga5
+ Revision: 788539
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.130.0-3.mga5
+ Revision: 743312
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.130.0-2.mga5
+ Revision: 685334
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 2.130.0-1.mga5
+ Revision: 587368
- update to 2.13

* Fri Oct 18 2013 umeabot <umeabot> 2.120.0-3.mga4
+ Revision: 512775
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.120.0-2.mga3
+ Revision: 369505
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.120.0-1.mga3
+ Revision: 342366
- update to 2.12

* Fri Aug 31 2012 kharec <kharec> 2.110.0-1.mga3
+ Revision: 286261
- update to 2.11

* Sat Feb 25 2012 kharec <kharec> 2.90.0-1.mga2
+ Revision: 214594
- update to 2.09

* Wed Jun 15 2011 jquelin <jquelin> 2.80.0-1.mga2
+ Revision: 107067
- update to 2.08

* Wed Jan 19 2011 jquelin <jquelin> 2.70.0-1.mga1
+ Revision: 24210
- using meta.yml
- imported package perl-MailTools

